Loading...
Searching...
No Matches
AssociativeOpsTable.h File Reference

Tables listing associative operators and their identities. More...

`#include "IREquality.h"`
`#include "IROperator.h"`
`#include <utility>`
`#include <vector>`

Go to the source code of this file.

## Classes

struct | Halide::Internal::AssociativePattern
| Represent an associative op with its identity. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

const std::vector< AssociativePattern > & | Halide::Internal::get_ops_table (const std::vector< Expr > &exprs)

## Detailed Description

Tables listing associative operators and their identities.

Definition in file AssociativeOpsTable.h.